#!/bin/sh

handle_signal (){
	PID=$!
	echo "received signal. PID is ${PID}"
	kill -s SIGHUP $PID
}

trap "handle_signal" SIGINT SIGTERM SIGHUP

if [[ "$1" == "benchmark" ]] ; then
	cd /
	git clone https://git.steamr.com/others/byte-unixbench.git
	cd /byte-unixbench/UnixBench
	./Run
else
	exec "$@"
fi

